<?php
require_once "../../../bootstrap.php";
use \Backend\Models\Group;

/**
 * @param string $voteId
 * @return bool
 */
function VoteCheck(string $voteId): bool
{
    $votes = array();
    if(isset($_COOKIE["VotingReg"])) {

        $votes = unserialize($_COOKIE["VotingReg"]);
        foreach ($votes as $vote){

            if($voteId === $vote) {

                return false;
            }
        }
    }
    array_push($votes,$voteId);
    setcookie("VotingReg", serialize($votes), time() + 86400, "/");

    return true;
}

